- entityDefinitions:
  - IDI_Task_CircuitBreakerPanel_Edit:    '{aadded9d-c7bd-45ae-acca-3c090e383f2c}'
  - IDE_CircuitBreakerPanel_Edit:        '{6cfe6b00-eef7-4241-a619-27fad032d920}'

  - IDE_CircuitBreakerPanel_Edit_Start: '{18652116-6922-42d2-978c-fbe956fccfb5}'
  - IDM_CircuitBreakerPanel_Edit_Start:  '{54794ccb-962a-4024-97a6-a7a0df8071cc}'

  - IDMB_CircuitBreakerPanel_Edit: '{e636c762-6d42-41b7-9d31-b13b4c6e37d8}'
  - IDM_CircuitBreakerPanel_Edit: '{28927b65-cc1b-4d1d-8060-aa75c93f6774}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_CircuitBreakerPanel_Edit;'
    name: 'Edit Circuit Breaker Panel'
    initiatingElement: '&IDE_CircuitBreakerPanel_Edit_Start;'
    taskCategory: '&IDI_TaskCategory_CircuitBreakerPanel;'

  - controlTransactionMethod: '&IDM_CircuitBreakerPanel_Edit_Start;'
    forClassId: '&IDC_CircuitBreakerPanel;'
    verb: ''
    name: 'Circuit Breaker Panel Edit Start'
    buildsResponseWithBRMB: '&IDMB_CircuitBreakerPanel_Edit;'

  - element: '&IDE_CircuitBreakerPanel_Edit_Start;'
    name: 'Edit Circuit Breaker Panel Start'
    processedByCTMethod: '&IDM_CircuitBreakerPanel_Edit_Start;'
    elementContents:
    - globalIdentifier: '{5195daed-5070-4697-b561-3b044ea407db}'
      defaultDataType: '&IDE_CircuitBreakerPanel_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CircuitBreakerPanel_Edit;'
    name: 'Edit Circuit Breaker Panel'
    elementContents:
    - globalIdentifier: '{bfed622d-425f-4fb9-9c54-1a71bffcec97}'
      defaultDataType: '&IDC_CircuitBreakerPanel;'
      label: 'Circuit Breaker Panel'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{8f6faf42-1aa8-4737-8820-9a3185c02736}'
      defaultDataType: '&IDE_CircuitBreakerPanel_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{db32c67f-5b66-4043-adc7-1ef705122993}'
      defaultDataType: '&IDE_CircuitBreakerPanel_Panels;'
      builtFromBEMProcess: '{d42af237-da5f-415d-a2c2-5f298c6ffc3e}'

  - buildUIResponseMethod: '&IDM_CircuitBreakerPanel_Edit;'
    usesExecutableReturningElement: '&IDE_CircuitBreakerPanel_Edit;'

  - buildResponseMethodBinding: '&IDMB_CircuitBreakerPanel_Edit;'
    executesMethod: '&IDM_CircuitBreakerPanel_Edit;'
